summarylogtreecommitdiffstats
path: root/aurbs.install
diff options
context:
space:
mode:
Diffstat (limited to 'aurbs.install')
-rw-r--r--aurbs.install19
1 files changed, 19 insertions, 0 deletions
diff --git a/aurbs.install b/aurbs.install
new file mode 100644
index 000000000000..d2ce2450e542
--- /dev/null
+++ b/aurbs.install
@@ -0,0 +1,19 @@
+post_install() {
+ post_upgrade $1
+ echo ">>> Find a sample lighttp config at:"
+ echo ">>> /usr/share/doc/aurbs/lighttpd.conf.sample"
+}
+
+post_upgrade() {
+ if ! getent passwd aurbs >/dev/null; then
+ useradd --system -c 'aurbs daemon user' -g daemon -d /var/cache/aurbs -s /bin/bash aurbs
+ fi
+ chown -R aurbs: /var/cache/aurbs/ccache/*
+ chown -R aurbs: /var/cache/aurbs/build/*/*
+}
+
+post_remove() {
+ if getent passwd aurbs >/dev/null; then
+ userdel aurbs
+ fi
+}